org.wso2.carbon.mdm.services.android.services.impl

## Class DeviceManagementServiceImpl

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.services.impl.DeviceManagementServiceImpl

- All Implemented Interfaces:
    DeviceManagementService

      public class DeviceManagementServiceImpl
      extends Object
      implements DeviceManagementService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceManagementServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `disEnrollDevice(String id)`
    `javax.ws.rs.core.Response` | `enrollDevice(AndroidDevice androidDevice)`
    `javax.ws.rs.core.Response` | `getPendingOperations(String id, String ifModifiedSince, List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> resultOperations)`
    `javax.ws.rs.core.Response` | `isEnrolled(String id, String ifModifiedSince)`
    `javax.ws.rs.core.Response` | `modifyEnrollment(String id, AndroidDevice androidDevice)`
    `javax.ws.rs.core.Response` | `updateApplicationList(String id, List<AndroidApplication> androidApplications)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceManagementServiceImpl

          public DeviceManagementServiceImpl()

  - ### Method Detail

    - #### updateApplicationList

          public javax.ws.rs.core.Response updateApplicationList(@NotNull@Size(min=2,max=45)@Pattern(regexp="^[A-Za-z0-9]*$")
                                                        String id,
                                                        List<AndroidApplication> androidApplications)

      Specified by:
        `updateApplicationList` in interface `DeviceManagementService`

    - #### getPendingOperations

          public javax.ws.rs.core.Response getPendingOperations(String id,
                                                       @HeaderParam(value="If-Modified-Since")
                                                       String ifModifiedSince,
                                                       List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> resultOperations)

      Specified by:
        `getPendingOperations` in interface `DeviceManagementService`

    - #### enrollDevice

          public javax.ws.rs.core.Response enrollDevice(AndroidDevice androidDevice)

      Specified by:
        `enrollDevice` in interface `DeviceManagementService`

    - #### isEnrolled

          public javax.ws.rs.core.Response isEnrolled(String id,
                                             @HeaderParam(value="If-Modified-Since")
                                             String ifModifiedSince)

      Specified by:
        `isEnrolled` in interface `DeviceManagementService`

    - #### modifyEnrollment

          public javax.ws.rs.core.Response modifyEnrollment(String id,
                                                   AndroidDevice androidDevice)

      Specified by:
        `modifyEnrollment` in interface `DeviceManagementService`

    - #### disEnrollDevice

          public javax.ws.rs.core.Response disEnrollDevice(String id)

      Specified by:
        `disEnrollDevice` in interface `DeviceManagementService`

Copyright © 2017 WSO2. All rights reserved.